<template>
  <div>
    <StepTab :tabList="tabList" @tabActive="handleTab" :index="data.index">
      <template #plan_title>启动事件</template>
      <template #trigger_title>触发事件</template>
      <template #trigger_con>
        <div v-if="data.index === 0">
          <AppStartUp :form="data.list" />
        </div>
        <div v-if="data.index === 1">
          <AppTodoList :form="data.list2" />
        </div>
      </template>
    </StepTab>
    <div class="main_content_btn"></div>
  </div>
</template>
<script>
import StepTab from '@/components/base/StepTab.vue'
import AppTodoList from './AppTodoList.vue'
import AppStartUp from './AppStartUp.vue'
export default {
  components: { StepTab, AppTodoList, AppStartUp },
  props: {
    data: { type: Object }
  },

  data() {
    return {
      // tab切换列表
      tabList: [
        {
          icon: 'https://webapp-pub.ezijing.com/x-training-new/tab_icon11.png',
          iconActive: 'https://webapp-pub.ezijing.com/x-training-new/tab_icon12.png',
          tabName: '单次触发'
        },
        {
          icon: 'https://webapp-pub.ezijing.com/x-training-new/tab_icon21.png',
          iconActive: 'https://webapp-pub.ezijing.com/x-training-new/tab_icon22.png',
          tabName: '条件触发'
        }
      ]
    }
  },

  methods: {
    handleTab(index) {
      this.data.index = index
    },
    handleStepTwo() {
      let flag = true
      if (this.data.index === 0) {
        this.data.list.forEach(item => {
          item.form.triggerList.forEach(cItem => {
            if (cItem.startValue === '') {
              flag = false
            } else {
              if (cItem.startValue === 'trigger' && cItem.triggerValue === '') {
                flag = false
              }
            }
          })
        })
      }
      if (this.data.index === 1) {
        this.data.list2.forEach(item => {
          item.form.triggerList.forEach(cItem => {
            if (cItem.triggerValue === '') {
              flag = false
            }
          })
        })
      }
      if (!flag) {
        this.$message.warning('请完善改步骤后才能进入下一步')
      }
      return flag
    }
  }
}
</script>
<style lang="scss" scoped>
.main_content_btn {
  display: flex;
  justify-content: center;
  margin-top: 36px;
  .step_btn {
    width: 119px;
    height: 32px;
    opacity: 1;
    border-radius: 16px;
    font-size: 18px;
    line-height: 32px;
    color: #ffffff;
    text-align: center;
    margin-right: 10px;
    cursor: pointer;
  }
  .step_prev {
    border: 1px solid #cacaca;
    background: #fff;
    color: #ffffff;
    color: #6d6d71;
  }
  .step_next {
    background: #49bba2;
  }
}
</style>
